﻿using System;
using System.ServiceModel;

using OTASample.Vehicles.Service;

namespace ServiceConsoleHost
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ServiceHost host = new ServiceHost(typeof(VehicleReservationService)))
            {
                host.Open();

                Console.WriteLine("The VehicleReservationService is ready.\nPress any key to exit");
                Console.ReadKey(true);

                host.Close();
            }
        }
    }
}
