﻿Imports System.ServiceModel.Channels
Imports System.ServiceModel

Module Module1

    Sub Main()
        Dim headerName As String = "RequesterInstanceId"
        Dim headerNamespace As String = "http://tempuri.org/Shareable"

        Console.Write("Enter the instance id: ")
        Dim instanceId As String = Console.ReadLine()
        Do While Not String.IsNullOrEmpty(instanceId)
            Dim header As MessageHeader = MessageHeader.CreateHeader(headerName, headerNamespace, instanceId)

            Using proxy As DemoService.SessionClient = New DemoService.SessionClient()
                Using New OperationContextScope(proxy.InnerChannel)
                    'Add the header as a header to the scope so it gets sent for each message.
                    OperationContext.Current.OutgoingMessageHeaders.Add(header)
                    Console.WriteLine(proxy.GetSessionStatus())
                End Using
            End Using
            Console.Write("Enter the instance id: ")
            instanceId = Console.ReadLine()
        Loop

    End Sub

End Module
