﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.ServiceModel;

namespace DemoService
{
    [ServiceBehavior(UseSynchronizationContext=true, 
        InstanceContextMode=InstanceContextMode.Single)]
    public partial class ServiceHostForm : Form, ISynchronization
    {
        ServiceHost host;

        public ServiceHostForm()
        {
            InitializeComponent();
            host = new ServiceHost(this);
            host.Open();
        }


        #region ISynchronization Members

        public void UpdateStatus(string newMessage)
        {
            messageListBox.Items.Add(newMessage);
        }

        #endregion
    }
}
