﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThreadPoolSynchronization;
using System.ServiceModel;
using System.Threading;

namespace DemoService
{
    static class Program
    {
        [STAThread]
        static void Main()
        {
            ThreadPoolSynchronizer context =
                new ThreadPoolSynchronizer(3);
            SynchronizationContext.SetSynchronizationContext(context);
            try
            {
                ServiceHost host = new ServiceHost(typeof(SynchronizationService));
                host.Open();
                Console.WriteLine("The host is ready...");
                Console.ReadLine();
                host.Close();
            }
            finally
            {
                context.Dispose();
            }
        }
    }
}
