﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Tasks.Services;
using System.ServiceModel;


namespace ServiceConsoleHost
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ServiceHost host = new ServiceHost(typeof(TaskManagerService)))
            {
                host.Open();

                Console.WriteLine("The TaskManagerService is ready.\nPress any key to exit");
                Console.ReadKey(true);

                host.Close();
            }
        }
    }
}
