﻿using System;
using System.ServiceModel;

using Tasks.Services;

namespace ServiceConsoleHost
{
	class Program
	{
		static void Main(string[] args)
		{
			using (ServiceHost host = new ServiceHost(typeof(TaskManagerService)))
			{
				host.Open();

				Console.WriteLine("The TaskManagerService is ready.\nPress any key to exit");
				Console.ReadKey(true);

				host.Close();
			}
		}
	}
}
