﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace TestClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using (DemoService.GetHeadersClient proxy = new DemoService.GetHeadersClient())
            {
                Guid originalActivityId = Trace.CorrelationManager.ActivityId;
                Guid newActivityId = Guid.NewGuid();
                Trace.CorrelationManager.ActivityId = newActivityId;
                Console.WriteLine(newActivityId);
                Console.WriteLine("And the headers are: " + proxy.GetHeaders());
                Trace.CorrelationManager.ActivityId = originalActivityId;
            }
            Console.ReadLine();
        }
    }
}
