﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Net;

namespace TestClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using (DemoService.GetHeadersClient proxy = new DemoService.GetHeadersClient())
            {
                proxy.ClientCredentials.ClientCertificate.SetCertificate("CN=localhost",
                  System.Security.Cryptography.X509Certificates.StoreLocation.LocalMachine,
                  System.Security.Cryptography.X509Certificates.StoreName.My);
                Console.WriteLine("And the headers are: " + proxy.GetHeaders());
            }
            Console.ReadLine();
        }
    }
}
