﻿using System;
using System.Runtime.Serialization;
using System.ServiceModel;

using OTASample.Vehicles.Entities;

namespace OTASample.Vehicles.Service
{
    [ServiceContract(Name = "VehReservationService",
        Namespace="http://www.opentravel.org/OTA/2003/05")]
    [XmlSerializerFormat(Style = OperationFormatStyle.Document,
                   Use = OperationFormatUse.Literal)]
    public interface IVehicleReservationService
    {
        [OperationContract()]
        OTA_VehResRS ReserveVehicle(
            [MessageParameter(Name = "OTA_VehResRQ")]OTA_VehResRQ reservationReq);
    }
}
