﻿Imports System.ServiceModel.Dispatcher
Imports System.ServiceModel.Description
Imports System.Collections.ObjectModel
Imports System.ServiceModel.Channels

Public Class ShareableAttribute
    Inherits Attribute
    Implements IServiceBehavior

    Public Sub AddBindingParameters(ByVal description As ServiceDescription, ByVal serviceHostBase As ServiceHostBase, _
                                    ByVal endpoints As Collection(Of ServiceEndpoint), ByVal parameters As BindingParameterCollection) _
        Implements IServiceBehavior.AddBindingParameters

    End Sub

    Public Sub ApplyDispatchBehavior(ByVal description As ServiceDescription, ByVal serviceHostBase As ServiceHostBase) _
        Implements IServiceBehavior.ApplyDispatchBehavior

        Dim extension As New DemoContextProvider()
        Dim dispatcherBase As ChannelDispatcherBase
        For Each dispatcherBase In serviceHostBase.ChannelDispatchers
            Dim dispatcher As ChannelDispatcher = TryCast(dispatcherBase,  _
               ChannelDispatcher)
            Dim _endpointDispatcher As EndpointDispatcher
            For Each _endpointDispatcher In dispatcher.Endpoints
                _endpointDispatcher.DispatchRuntime.InstanceContextProvider = _
                   extension
            Next
        Next

    End Sub

    Public Sub Validate(ByVal description As ServiceDescription, ByVal serviceHostBase As ServiceHostBase) _
        Implements IServiceBehavior.Validate

    End Sub
End Class
