﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace DemoService
{
    [ServiceContract(SessionMode=SessionMode.Required)]
    public interface ISession
    {
        [OperationContract(IsInitiating = true)]
        string FirstMethod();

        [OperationContract(IsInitiating = false)]
        string GetSessionStatus();

        [OperationContract(IsInitiating = false, IsTerminating=true)]
        string LastMethod();
    }
}
