﻿Imports System.Configuration
Imports System.Data.SqlClient
Imports System.Transactions

Public Class UpdateService
    Implements IUpdateService

#Region "IUpdateService Members"

    Public Function UpdateNoTransaction(ByVal SqlStmt As String) As Integer _
        Implements IUpdateService.UpdateNoTransaction
        Return update(SqlStmt)
    End Function

    <OperationBehavior(TransactionScopeRequired:=True, TransactionAutoComplete:=True)> _
    Public Function UpdateWithTransaction(ByVal SqlStmt As String) As Integer _
        Implements IUpdateService.UpdateWithTransaction
        Return update(SqlStmt)
    End Function

#End Region

#Region "Private Methods"

    Private Function update(ByVal sqlStmt As String) As Integer

        AppDomain.CurrentDomain.SetData("DataDirectory", _
            System.IO.Path.GetFullPath(System.IO.Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "..\..\..")))
        Dim result As Integer

        Using ts As New TransactionScope(TransactionScopeOption.Required)
            Dim connectionString As String = _
                ConfigurationManager.ConnectionStrings("TK503").ConnectionString
            Dim cn As New SqlConnection(connectionString)

            Try
               cn.Open()
               Dim cmd As New SqlCommand(sqlStmt, cn)
               result = cmd.ExecuteNonQuery()
               ts.Complete()
            Catch ex As SqlException
            End Try
        End Using

        Return result

    End Function

#End Region

End Class
