﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Net;
using System.Threading;

namespace TestClient
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.Write("Number of iterations: ");
            string iterationString = Console.ReadLine();
            int iterations = 0;
            if (!Int32.TryParse(iterationString, out iterations))
                return;

            Console.Write("Enter the status message: ");
            string message = Console.ReadLine();

            while (!String.IsNullOrEmpty(message))
            {
                using (DemoService.SynchronizationClient proxy = new DemoService.SynchronizationClient())
                {
                    for (int i = 0; i < iterations; i++)
                        proxy.UpdateStatus(i.ToString() + " " + message);
                }
                Console.Write("Enter the status message: ");
                message = Console.ReadLine();
            }
        }
    }
}
