﻿Imports System.Threading

<Serializable()> _
Friend Class WorkItem

    Dim state As Object
    Dim method As SendOrPostCallback
    Dim _asyncWaitHandle As ManualResetEvent

    Public ReadOnly Property AsyncWaitHandle() As WaitHandle
        Get
            Return _asyncWaitHandle
        End Get
    End Property

    Friend Sub New(ByVal method As SendOrPostCallback, ByVal state As Object)
        Me.method = method
        Me.state = state
        _asyncWaitHandle = New ManualResetEvent(False)
    End Sub

    Friend Sub CallBack()
        method(state)
        _asyncWaitHandle.Set()
    End Sub

End Class

