﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Net;
using System.ServiceModel.Channels;

namespace TestClient
{
    class Program
    {
        static void Main(string[] args)
        {
            using (DemoService.RouterClient proxy = new TestClient.DemoService.RouterClient())
            {
                Message m = Message.CreateMessage(MessageVersion.Soap12WSAddressing10, 
                    "http://tempuri.org/IRouter/RouteMessage", "Testing message processing");
                Message response = proxy.RouteMessage(m);
                if (!response.IsFault)
                   Console.WriteLine(response.GetBody<string>());
                else
                   Console.WriteLine(response.ToString());
            }
            Console.WriteLine("Message has been sent");
            Console.ReadLine();
        }
    }
}
