﻿Imports System.ServiceModel.Channels

<ServiceBehavior(InstanceContextMode:=InstanceContextMode.Single, _
    AddressFilterMode:=AddressFilterMode.Any, ValidateMustUnderstand:=False)> _
Public Class RouterService
    Implements IRouter

    Public Sub RouteMessage(ByVal incomingMessage As Message) Implements IRouter.RouteMessage

        Dim customHeaderFound As Boolean = False
        Dim h As MessageHeaderInfo

        For Each h In incomingMessage.Headers
            If h.Name = "MyHeader" Then
                customHeaderFound = True
            End If
        Next

        If Not customHeaderFound Then
            Throw New FaultException(Of RouterFault)(New RouterFault("Missing a required header", "MyHeader"), _
                 New FaultReason("A header is missing"))
        End If

    End Sub

End Class
